API reference and playgroundPayouts
Get account info
curl -X GET "https://test-api.kashier.io/v2/account"{ "message": "success", "data": [ { "_id": "65ce339471eee2b3302a791e", "totalBalance": 228366.11999999985, "availableBalance": 228366.11999999985, "allowedNegativeBalance": 0, "merchantId": "MID-1007-931", "accountId": "ACC-1007-931-01", "createdAt": "2024-02-15 15:53:56.947000+00:00", "updatedAt": "2024-11-20 18:05:15.432000+00:00", "merchantName": "kashier store", "payoutMethod": { "method": "bankAccount", "payoutFields": { "bankName": "AAIB", "bankBranch": "Tanta", "accountHolderName": "Ahmed wageeh", "accountNumber": "010001000", "branchCode": "3" } }, "isIncludeInBulkTransfer": false, "lastTransfer": 1000, "totalBalanceBeforeLastTransfer": 1000, "lastTransferDate": "2024-05-08 11:19:15.656000+00:00" } ], "pagination": { "total": 1, "limit": 20, "page": 1, "pages": 1 }}Retrieves account info — balances, payout method, and last-transfer details for the merchant identified by the secret key.
Authorization
secretKey Authorization<token>
Merchant secret key used to identify the merchant, obtained from Kashier's dashboard. Pass the raw secret key value in the Authorization header (NOT a "Bearer" token).
In: header
Response Body
application/json
application/json
application/json
application/json
application/json